Skip to main content
GET
/
workspaces
List all workspaces
curl --request GET \
  --url https://api.staging-2tid4c.ezyshield.com.au/management/v1/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "workspaces",
      "attributes": {
        "name": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string

Available sorts are name. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -name.

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

Response

Paginated set of WorkspaceResource

data
WorkspaceResource · object[]
required
meta
object
required